* E Posta Adresiniz:
* Kodu Girin:

Z yönünde taşıma yapan lisp


admin - 15.09.2005 21:40
Yazar: ehya
İçerik:

(Kontrol panelinizde görünür)
Z yönünde taşıma yapan lisp

Kod:

(defun C:zm ()
  (princ "
Nesneleri seçiniz:")
  (command "select" "auto" pause)
  (setq zm_sec (ssget "p"))
  (if (= zm_mes nil)
    (setq zm_mes "100")
  )
  (setq zm_m (getstring (strcat "
Mesafe <" zm_mes ">:")))
  (if (/= zm_m "")
    (setq zm_mes zm_m)
  )
  (setq zm_birlestir (strcat "@0,0," zm_mes))
  (command "move" zm_sec "" "0,0" zm_birleştir)
  (princ)
)
(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")

Bu kodları nasıl kullanacağınızı bilmiyorsanız aşağıdaki linkten;
AutoLISP > Konu Anlatımları > Lisp Dosyalarının oluşturulması ve Yüklenmesi
konusunu inceleyiniz.
Yorumlar :
gemici   15.08.2009 13:07 #11607  

emeğine sağllık

nzka   18.04.2009 16:36 #10955  

emeğine sağlık güzel çalışma

Copyright © 2004-2018 | Tüm Hakları Saklıdır | 243 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam